/**
 * @file loadImage.ts
 */
export interface ImageInfo {
    imageEl: HTMLImageElement;
    width: number;
    height: number;
    dataURL: string;
    imageData: ImageData;
}
/**
 * Load image and return info
 * @param path
 */
declare const loadImage: (path: string) => Promise<ImageInfo>;
export default loadImage;
