/**
 * @file compareWithDesignDraft.ts
 */
import type { ReactNode } from 'react';
export interface Options {
    designDraft: string;
    component: ReactNode;
    diffPath?: string;
    beforeScreenshot?: () => Promise<unknown> | void;
}
export interface CompareResult {
    ssim: number;
    diffSrc: string;
    diffPixelCount: number;
}
declare const compareWithDesignDraft: {
    (options: Options): Promise<{
        ssim: number;
        diffSrc: string;
        diffPixelCount: number;
    }>;
    config(options: Options): void;
};
export default compareWithDesignDraft;
